"""==============================================================
منطق برنامه مشخص کننده اعداد چهار رقمی که ارقام یکان و دهگان آن فرد
و ارقام صدگان و هزارگان آن زوج است
=============================================================="""

count = 1000
while count < 10000:
    if (count%10)%2 != 0 and (count//10)%2 != 0 and \
            (count//100)%2 == 0 and (count//1000)%2 == 0:
        print(count)
    count += 1